<div id="home-component">
  <section class="exploration">
    <div class="two-columns flex">
      <div>
        <h2><strong>Explorer les données</strong> ouvertes <br /><strong>du Grand Lyon</strong></h2>
        <p>publiée par les services de la Métropole et ses partenaires.</p>
        <div class="search-input">
          <home-search-bar></home-search-bar>
        </div>
        <div class="last-dataset">
          <h5>Les derniers jeux ajoutés</h5>
          <div *ngFor="let lastDataSet of lastDataSets">
            <a [routerLink]="['/', AppRoutes.datasets.uri, lastDataSet.slug]">{{lastDataSet["metadata-fr"].title}}</a>
          </div>
        </div>
      </div>
      <div>
        <div class="map-component-container" style="width:100%;height:100%">
          <ng-container *ngIf="isReady">
            <app-map [mapOptions]="mapOptions" [isHomeMap]="true"></app-map>
          </ng-container>
          <div class="over-map-links" *ngIf="currentJDDOnmap">
            <a class="sample-link" [routerLink]="['/', AppRoutes.datasets.uri, currentJDDOnmapSlug]" (click)="trackExploreButtonEvent()">
              <button class="button sample-button">
                <div>
                  <p>Jeu de donnée à la une</p>
                  <p >{{currentJDDOnmap.title}}</p>
                </div>
                <div style="width:20px">
                  <img src="./assets/img/grandlyon/right_arrow.svg" alt="">
                </div>
              </button>
            </a>
            <button class="button random-button" (click)="nextJDD()">
              <img src="./assets/img/grandlyon/random_arrows.svg" alt="">
              <p>Voir un autre jeu de données</p>
            </button>
          </div>
        </div>
      </div>
    </div>
    <div class="over-curve">
      <span>ou</span>
      <a class="explore-link" [routerLink]="['/', AppRoutes.research.uri]" (click)="trackExploreButtonEvent()">
        <button class="button explore-button" >Accéder à tous les jeux de données</button>
      </a>
    </div>
    <div class="curve-decoration">
      <svg width="788" height="238" viewBox="0 0 788 238" fill="none" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMinYMax meet">
        <path d="M81.8239 87.7692C16.602 61.9231 9.28919 13.8205 0 0V238H788C701.433 125.462 577.511 87.7692 471.377 87.7692C365.243 87.7692 147.046 113.615 81.8239 87.7692Z" />
      </svg>
    </div>
  </section>

  <section id="dataset-themes">
    <h3><strong>Les jeux de données par</strong> thématiques</h3>
    <div class="dataset-icons">
      <div *ngFor="let thematic of thematics">
        <a class="explore-link" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="thematic.searchParam">
          <img src="./assets/img/grandlyon/icon-thematiques/{{thematic.icon}}" alt="{{thematic.label}}">
          <p [innerHTML]="thematic.label | keepHtml"></p>
        </a>
      </div>
    </div>
  </section>

  <section id="reuse-samples">
    <div class="title-button">
      <h3>Exemples de réutilisations des jeux de données</h3>
      <a class="explore-link" [routerLink]="['/', AppRoutes.reuses.uri]">
        <button class="view-button button">Voir plus de réutilisations</button>
      </a>
    </div>

    <div class="reuses-wrapper" *ngIf="reuses.length>0">
      <div>
        <app-home-reuse-card [reuse]="reuses[0]" [displaytype]="'main'"></app-home-reuse-card>
      </div>
      <div>
        <app-home-reuse-card [reuse]="reuses[1]"></app-home-reuse-card>
        <app-home-reuse-card [reuse]="reuses[2]"></app-home-reuse-card>
      </div>

    </div>
  </section>

  <section id="data-actors">
    <h3><strong>Quel</strong> acteur de la donnée <strong>êtes-vous ?</strong></h3>
    <div class="actor-items">
      <div>
        <img src="./assets/img/grandlyon/data-actors/first-step.svg" alt="premier pas">
        <h4>Ce sont vos <strong>premier pas</strong> ?</h4>
        <p>Découvrez <strong>à quoi peuvent servir les données</strong> et <strong>comment les utiliser à votre tour</strong> sur ce site.</p>
      </div>
      <div>
        <img src="./assets/img/grandlyon/data-actors/producer.svg" alt="premier pas">
        <h4>Vous <strong>produisez</strong> des données ?</h4>
        <p><strong><a [routerLink]="['/', AppRoutes.contact.uri]">Contactez-nous</a></strong> pour ajouter vos données et retrouvez <strong><a [routerLink]="['/', AppRoutes.partners.uri]">les partenaires</a></strong> de DataGrandLyon.</p>
      </div>
      <div>
        <img src="./assets/img/grandlyon/data-actors/user.svg" alt="premier pas">
        <h4>Vous <strong>utilisez</strong> de la donnée ?</h4>
        <p>Consultez <strong><a [routerLink]="['/', AppRoutes.documentation.uri]">la documentation</a></strong> (services, authentification...) et partagez <strong><a [routerLink]="['/', AppRoutes.reuses.uri]">vos réalisations</a></strong>.</p>
      </div>
    </div>
  </section>

  <section id="gl-data-news" style="height:800px;">
    <div class="title-button">
      <h3>Tout sur les données du Grand Lyon</h3>
      <a class="explore-link" [routerLink]="['/', AppRoutes.news.uri]">
        <button class="view-button button">Voir toutes les actualités</button>
      </a>
    </div>
    <div class="reuses-wrapper" *ngIf="latestPosts.length>0">
      <div>
        <app-home-news-card [news]="latestPosts[0]" [displaytype]="'main'"></app-home-news-card>
      </div>
      <div>
        <app-home-news-card [news]="latestPosts[1]"></app-home-news-card>
        <app-home-news-card [news]="latestPosts[2]"></app-home-news-card>
        <app-home-news-card [news]="latestPosts[3]"></app-home-news-card>
      </div>

    </div>
  </section>
  
  <app-home-communes></app-home-communes>
  
  <section id="producer-partners">
    <h3>Nos <strong>partenaires</strong>, producteurs de données</h3>
    <div>
      <a *ngFor="let partner of randomizedPartners" [routerLink]="['/', AppRoutes.partners.uri]" fragment="{{partner.name}}" >
        <img src="{{partner.logo}}" alt="{{partner.name}}">
      </a>
    </div>
    <button [routerLink]="['/', AppRoutes.partners.uri]" class="view-button button">Voir les autres partenaires</button>
  </section>
  
  <section id="supports">
    <div class="logos">
      <div>
        <img src="./assets/img/grandlyon/logos-anct/logo_anct-et-marianne.png" alt="logo anct et marianne">
      </div>
      <div>
        <img src="./assets/img/grandlyon/logos-anct/finance-par-next-gen.png" alt="financé par next gen">
      </div>
      <div>
        <img src="./assets/img/grandlyon/logos-anct/logo_francerelance.png" alt="logo france relance">
      </div>
    </div>
    <p>Soutenu par l'Incubateur des Territoires de l'ANCT dans le cadre du plan France Relance</p>
  </section>
</div>
